
/* app custom */

.doc-tag {
  color: white !important;
  text-shadow: 1px 1px #555555;
  padding-left: 15px;
  padding-right: 15px;
}

button.doc-tag {
  box-shadow: none !important;
}

.shadow {
  box-shadow: 0 1px 12px 1px rgba(0,0,0,0.25);
}

.doc-tag.draft {
  background-color: #ff9232;
}
.doc-tag.expired {
  background-color: #867e7e;
}

.expander-trigger.doc {
  padding: 0.7rem 0 0.7rem 0.5rem !important;
}

.expander-trigger.doc.draft {
  background-color: #eeeeee;
}

.expander-body pre {
  white-space: pre-wrap;
}

.doc-info-hdr {
  font-weight: bold;
}

#app {
  margin-top: 2rem;
}

/* item list */
.beforeBorder {
  position: relative;
}
.beforeBorder:before {
  transition: opacity 0.1s linear, transform 0.5s ease-in-out;
  position: absolute;
  border-bottom: 1px solid currentColor;
  content: '';
  width: 100%;
  left: 0;
  bottom: -1px;
}
.beforeBorder:not(:hover)::before {
  transform: scaleX(0);
  opacity: 0;
}
.accordion {
  background: #fff;
  box-shadow: 0 1px 12px 1px rgba(0,0,0,0.25);
  overflow: hidden;
}
.expander-trigger {
  cursor: pointer;
  padding: 0.7rem 0.5rem;
  border-bottom: 1px solid #efefef;
}
.expander-trigger:hover {
  color: #477dca;
}
.expander-trigger.active {
  border-bottom-color: #477dca;
}

.expander-body {
  padding: 1rem 1.5rem;
  box-shadow: 0 1px 5px 1px rgba(0,0,0,0.25) inset;
}
.rightToLeft-enter-active {
  animation: rightToLeft 0.5s;
}
.rightToLeft-leave-active {
  animation: rightToLeft 0.5s reverse;
}

@-moz-keyframes rightToLeft {
  0% { transform: translateX(100vw); }
  50% { transform: translateX(-2em); }
  100% { transform: translateX(0); }
}
@-webkit-keyframes rightToLeft {
  0% { transform: translateX(100vw); }
  50% { transform: translateX(-2em); }
  100% { transform: translateX(0); }
}
@-o-keyframes rightToLeft {
  0% { transform: translateX(100vw); }
  50% { transform: translateX(-2em); }
  100% { transform: translateX(0); }
}
@keyframes rightToLeft {
  0% { transform: translateX(100vw); }
  50% { transform: translateX(-2em); }
  100% { transform: translateX(0); }
}
